%define major	0
%define libname %mklibname %{name}_ %{major}
%define develname %mklibname -d %{name}

Summary:   	Raptor RDF Parser Toolkit for Redland
Name:      	raptor2
Version:   	2.0.15
Release:   	%mkrel 2
License: 	GPL LGPL
Group:     	Development/Other
Source:    	http://librdf.org/dist/source/%{name}-%{version}.tar.xz
URL:       	http://librdf.org/raptor/
#-------------------------------
BuildRequires: %{_lib}curl-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: %{_lib}xslt-devel
BuildRequires:	icu-devel
#-------------------------------
Conflicts:	raptor < 2.0.0

%description
Raptor is the RDF Parser Toolkit for Redland that provides
a set of standalone RDF parsers, generating triples from RDF/XML
or N-Triples.

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.LIB ChangeLog LICENSE.txt NEWS README
%{_mandir}/man1/rap*
%{_mandir}/man3/libraptor2.3*
%{_bindir}/rapper
%{_datadir}/gtk-doc/html/raptor2/

#--------------------------------------------------------------------
%package -n	%{libname}
Summary:        Dynamic libraries from %{name}
Group:          System/Libraries

%description -n	%{libname}
Dynamic libraries from %{name}.

%files -n %libname
%defattr(-,root,root,-)
%{_libdir}/libraptor2.so.%{major}*

#--------------------------------------------------------------------
%package -n	%{develname}
Summary:	Header files and static libraries from %name
Group:		Development/Libraries
Requires:	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Libraries and includes files for developing programs based on %{name}.

%files -n %develname
%defattr(-,root,root,-)
%{_libdir}/libraptor2.so
%{_libdir}/pkgconfig/raptor2.pc
%{_includedir}/raptor2/

#--------------------------------------------------------------------
%prep
%setup -q

%build
%configure2_5x --disable-static --with-icu-config=%{_bindir}/icu-config
%make

%install
rm -rf %{buildroot}
%makeinstall_std
rm -fr  %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%changelog
* Tue Apr 26 2016 bb <bb> 2.0.15-2pclos2016
- update

* Wed Nov 04 2014 bb <bb> 2.0.15-1pclos2014
- update

* Fri Feb 14 2014 bb <bb> 2.0.13-1pclos2014
- update
